List Gift Asks for a Contact
curl --request GET \
--url https://api.virtuoussoftware.com/api/GiftAsk/ByContact/{contactId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/GiftAsk/ByContact/{contactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/GiftAsk/ByContact/{contactId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/GiftAsk/ByContact/{contactId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/GiftAsk/ByContact/{contactId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"id": "<integer>",
"giftAskUrl": "<string>",
"giftsAppliedUrl": "<string>",
"contactId": "<integer>",
"contactUrl": "<string>",
"askAmount": "<double>",
"askAmountFormatted": "<string>",
"askDate": "<dateTime>",
"askDateFormatted": "<string>",
"expectedFulfillmentDate": "<dateTime>",
"expectedFulfillmentDateFormatted": "<string>",
"notes": "<string>",
"askType": "<string>",
"frequency": "<string>",
"declined": "<boolean>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"projectId": "<integer>",
"project": "<string>",
"projectUrl": "<string>",
"segmentId": "<integer>",
"segment": "<string>",
"segmentCode": "<string>",
"segmentUrl": "<string>",
"assignedUserId": "<integer>",
"assignedUser": "<string>",
"secondaryAssignedUser": "string",
"secondaryAssignedUserId": 0,
"status": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
},
{
"id": "<integer>",
"giftAskUrl": "<string>",
"giftsAppliedUrl": "<string>",
"contactId": "<integer>",
"contactUrl": "<string>",
"askAmount": "<double>",
"askAmountFormatted": "<string>",
"askDate": "<dateTime>",
"askDateFormatted": "<string>",
"expectedFulfillmentDate": "<dateTime>",
"expectedFulfillmentDateFormatted": "<string>",
"notes": "<string>",
"askType": "<string>",
"frequency": "<string>",
"declined": "<boolean>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"projectId": "<integer>",
"project": "<string>",
"projectUrl": "<string>",
"segmentId": "<integer>",
"segment": "<string>",
"segmentCode": "<string>",
"segmentUrl": "<string>",
"assignedUserId": "<integer>",
"assignedUser": "<string>",
"secondaryAssignedUser": "string",
"secondaryAssignedUserId": 0,
"status": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
],
"total": "<integer>"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Giving
List Gift Asks for a Contact
Returns the gift asks recorded for the contact, including the amount asked for, the ask date, and whether it was declined. Use skip and take to page through the results.
GET
/
api
/
GiftAsk
/
ByContact
/
{contactId}
List Gift Asks for a Contact
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The contact identifier.
Query Parameters
The number of records to skip. Default = 0.
The number of records to take. Default = 10.
Last modified on August 11, 2026
Was this page helpful?
⌘I